const version = 14

/*

This migration removes provider from config and moves it too NetworkController.

*/

const clone = require('clone')

module.exports = {
  version,

  migrate: function (originalVersionedData) {
    const versionedData = clone(originalVersionedData)
    versionedData.meta.version = version
    try {
      const state = versionedData.data
      const newState = transformState(state)
      versionedData.data = newState
    } catch (err) {
      console.warn(`MetaMask Migration #${version}` + err.stack)
    }
    return Promise.resolve(versionedData)
  },
}

function transformState (state) {
  const newState = state
  newState.NetworkController = {}
  newState.NetworkController.provider = newState.config.provider
  delete newState.config.provider
  return newState
}
